#pragma once

#include "country.h"

#include <string>

namespace places
{
   class Country;

   class City
   {
    public:
      City(std::string in_name, int in_population, Country* in_country):
         ID{this->next_city_ID()}, name{in_name},
         population{in_population},
         country{in_country} { in_country->add_city(this); }

      long get_ID() const { return this->ID; }
      std::string get_name() const { return this->name; }
      Country* get_country() const { return this->country; }

      void out() const;

    private:
      long ID;
      std::string name;
      long population;
      
      Country* country;
      
      long next_city_ID();
   };
}
